#include "partition.h"
std::vector<int> solve(std::vector<int> A){
    std::vector<std::pair<int,int>>a;
    std::vector<int>sol;
    int lng=A.size();
    for(int i=0;i<lng;i++)
    a.push_back({A[i],i});
    sort(a.begin(),a.end());
    int val=0,cnt=0;
    for(int i=0;i<lng;i++)if(i%2==0)sol.push_back(a[i].second);
    for(int i=0;i<lng;i++)if(i%2==1)sol.push_back(a[i].second);
    return sol;
}